GDB (xrefs)

Public Types | Public Member Functions | Private Attributes | List of all members
gdb_argv Class Reference

`#include "utils.h"`

## Public Types
typedef char ** | iterator

## Public Member Functions
| gdb_argv ()
| gdb_argv (const char *str)
| gdb_argv (char **array)
| gdb_argv (const gdb_argv &)=delete
gdb_argv & | operator= (const gdb_argv &)=delete
| ~gdb_argv ()
void | reset (const char *str)
char ** | get ()
char ** | release ()
int | count () const
char * | operator[] (int arg)
iterator | begin ()
iterator | end ()
bool | operator!= (std::nullptr_t)
bool | operator== (std::nullptr_t)

## Private Attributes
char ** | m_argv

## Detailed Description

Definition at line 128 of file utils.h.

## Member Typedef Documentation

## ◆ iterator

typedef char** gdb_argv::iterator

Definition at line 209 of file utils.h.

## Constructor & Destructor Documentation

## ◆ gdb_argv() [1/4]

gdb_argv::gdb_argv | ( |  | ) |
| inline

Definition at line 134 of file utils.h.

## ◆ gdb_argv() [2/4]

gdb_argv::gdb_argv | ( | const char * | str | ) |
| inline explicit

Definition at line 145 of file utils.h.

References reset().

## ◆ gdb_argv() [3/4]

gdb_argv::gdb_argv | ( | char ** | array | ) |
| inline explicit

Definition at line 153 of file utils.h.

## ◆ gdb_argv() [4/4]

gdb_argv::gdb_argv | ( | const gdb_argv & |  | ) |
| delete

## ◆ ~gdb_argv()

gdb_argv::~gdb_argv | ( |  | ) |
| inline

Definition at line 161 of file utils.h.

References m_argv.

## Member Function Documentation

## ◆ begin()

iterator gdb_argv::begin | ( |  | ) |
| inline

Definition at line 213 of file utils.h.

References m_argv.

## ◆ count()

int gdb_argv::count | ( |  | ) | const
| inline

Definition at line 194 of file utils.h.

References m_argv.

Referenced by build_argc_argv(), end(), and interpreter_exec_cmd().

## ◆ end()

iterator gdb_argv::end | ( |  | ) |
| inline

Definition at line 220 of file utils.h.

References count(), and m_argv.

## ◆ get()

char** gdb_argv::get | ( |  | ) |
| inline

Definition at line 177 of file utils.h.

References m_argv.

Referenced by add_inferior_command(), backtrace_command(), clone_inferior_command(), compute_enum_values(), exec_file_command(), gdbsim_create_inferior(), and tsave_command().

## ◆ operator!=()

bool gdb_argv::operator!= | ( | std::nullptr_t |  | ) |
| inline

Definition at line 225 of file utils.h.

References m_argv.

## ◆ operator=()

gdb_argv& gdb_argv::operator= | ( | const gdb_argv & |  | ) |
| delete

## ◆ operator==()

bool gdb_argv::operator== | ( | std::nullptr_t |  | ) |
| inline

Definition at line 230 of file utils.h.

References m_argv.

## ◆ operator[]()

char* gdb_argv::operator[] | ( | int | arg | ) |
| inline

Definition at line 201 of file utils.h.

References gdb_assert, and m_argv.

## ◆ release()

char** gdb_argv::release | ( |  | ) |
| inline

Definition at line 185 of file utils.h.

References m_argv.

Referenced by build_argc_argv(), and compute_enum_values().

## ◆ reset()

void gdb_argv::reset | ( | const char * | str | ) |

Definition at line 3065 of file utils.c.

References gdb::argv, m_argv, and malloc_failure().

Referenced by gdb_argv(), and gdbsim_create_inferior().

## Member Data Documentation

## ◆ m_argv

char** gdb_argv::m_argv
| private

Definition at line 239 of file utils.h.

Referenced by begin(), count(), end(), get(), operator!=(), operator==(), operator[](), release(), reset(), and ~gdb_argv().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/utils.h
- /tmp/gdb-8.1/gdb/utils.c